useAnt = true;
if (useAnt) {
    // Get the script attributes
    hostStr = attributes.get("host");
    portStr = attributes.get("port");
    userStr = attributes.get("user");
    passwordStr = attributes.get("password");
    repositoryStr = attributes.get("repository");

    name = attributes.get("name");
    identityName = attributes.get("identityname");
    shareType = attributes.get("sharetype");
    profile = attributes.get("profile");
    role = attributes.get("role");
    deletePagesStr = attributes.get("deletepages");

    rcPropName = attributes.get("resultsproperty");

    // Define the logger
    ant = new AntBuilder();
    logger = { level, msg ->
        ant.echo(level:level, message:msg);
    }

    // Get the utilities directory to locate JomaWrapper
    //utilsDir = project.getProperty("bsh.src.dir");
    utilsDir = project.getProperty("install.cfgwizard.utilities.dir");
} else {
    // Get the script attributes
    hostStr = args[0];
    portStr = args[1];
    userStr = args[2];
    passwordStr = args[3];
    repositoryStr = args[4];

    name = args[5];
    identityName = args[6];
    shareType = args[7];
    deletePagesStr = args[8];

    // Define the logger
    logger = { level, msg ->
        println(msg);
    }

    // Get the utilities directory to locate JomaWrapper
    utilsDir = ".";
}

def deletePortalPageTemplate(jomaWrapper, name, identityName, shareType, profile, role, deletePages, log) {
    pageHelper = evaluate(new File("$utilsDir/PageHelper.groovy").getText("UTF-8"));
    def rc = pageHelper.RC_OK;

    // Get the page from metadata
    def pageTemplate = jomaWrapper.getMetadataObject("Tree", "@Name='$name'][ParentTree/Tree[@Name='$shareType']/ParentTree/Tree[@Name='$profile']/ParentTree/Tree[@Name='$role']/ParentTree/Tree[@Name='RolesTree']/ParentTree/Tree[@Name='$identityName Permissions Tree']");
    if (pageTemplate != null) {
        log("verbose", "Deleting page template.  name:$name, identityName:$identityName");

        // Delete the page
        pageHelper.deletePageTemplate(jomaWrapper, 
                                      pageTemplate,
                                      deletePages,
                                      logger);

        // Update the metadata server
        pageTemplate.updateMetadataAll();

        log("verbose", "Page template deleted.");
    } else {
        rc = pageHelper.RC_OBJ_NOT_EXISTS;
        log("verbose", "Could not find page template with scope '$shareType' named '$name' in '$identityName Permissions Tree'");
    }

    return rc;
}

rc = 0;

try {
    // Connect to the metadata server
    jomaWrapper = evaluate(new File("$utilsDir/JomaWrapper.groovy").getText("UTF-8"));
    jomaWrapper.connect(hostStr, 
                        portStr, 
                        userStr, 
                        passwordStr,
                        repositoryStr);

    rc = deletePortalPageTemplate(jomaWrapper, 
                                  name, 
                                  identityName, 
                                  shareType, 
                                  profile, 
                                  role, 
                                  deletePagesStr.equalsIgnoreCase("true"), 
                                  logger);


    // Disconnect from the metadata server
    jomaWrapper.disconnect();
} catch (Throwable t) {
    sw = new StringWriter();
    pw = new PrintWriter(sw);
    t.printStackTrace(pw);
    logger("info", sw.toString());
    rc = 1;
}

if (useAnt) {
    // Set the return code property
    project.setNewProperty(rcPropName, "" + rc);
} else {
    logger("info", "rc=$rc");
}

