useAnt = true;
if (useAnt) {
    // Get the script attributes
    hostStr = attributes.get("host");
    portStr = attributes.get("port");
    userStr = attributes.get("user");
    passwordStr = attributes.get("password");
    repositoryStr = attributes.get("repository");

    name = attributes.get("name");
    identityName = attributes.get("identityname");

    rcPropName = attributes.get("resultsproperty");

    // Define the logger
    ant = new AntBuilder();
    logger = { level, msg ->
        ant.echo(level:level, message:msg);
    }

    // Get the utilities directory to locate JomaWrapper
    //utilsDir = project.getProperty("bsh.src.dir");
    utilsDir = project.getProperty("install.cfgwizard.utilities.dir");
} else {
    // Get the script attributes
    hostStr = args[0];
    portStr = args[1];
    userStr = args[2];
    passwordStr = args[3];
    repositoryStr = args[4];

    name = args[5];
    identityName = args[6];

    // Define the logger
    logger = { level, msg ->
        println(msg);
    }

    // Get the utilities directory to locate JomaWrapper
    utilsDir = ".";
}

rc = 0;

try {
    // Connect to the metadata server
    jomaWrapper = evaluate(new File("$utilsDir/JomaWrapper.groovy").getText("UTF-8"));
    jomaWrapper.connect(hostStr, 
                        portStr, 
                        userStr, 
                        passwordStr,
                        repositoryStr);

    pageHelper = evaluate(new File("$utilsDir/PageHelper.groovy").getText("UTF-8"));
    rc = pageHelper.deletePortalDocument(jomaWrapper, 
                                         name, 
                                         identityName, 
                                         "Portal Web Application", 
                                         logger);

    // Disconnect from the metadata server
    jomaWrapper.disconnect();
} catch (Throwable t) {
    sw = new StringWriter();
    pw = new PrintWriter(sw);
    t.printStackTrace(pw);
    logger("info", sw.toString());
    rc = 1;
}

if (useAnt) {
    // Set the return code property
    project.setNewProperty(rcPropName, "" + rc);
} else {
    logger("info", "rc=$rc");
}

