
import com.sas.meta.SASOMI.IOMI;
import com.sas.metadata.remote.MdFactory;
import com.sas.metadata.remote.MdException;
import com.sas.metadata.remote.MdFactoryImpl;
import com.sas.metadata.remote.MdOMIUtil;
import com.sas.metadata.remote.CMetadata;

// Get the script attributes
def host = attributes.get("host");
def port = attributes.get("port");
def user = attributes.get("user");
def password = attributes.get("password");
def metadataObjectIdentifier = attributes.get("metadataobjectidentifier");
def reposnameproperty = attributes.get("reposnameproperty");
def rcPropName = attributes.get("resultproperty");
//

rc = 0;

try {
    // Connect to the metadata server
        self.log("Connecting to metadata server:");
        self.log("    Host: " + host);
        self.log("    Port: " + port);
        self.log("    User: " + user);

        def strReposId = metadataObjectIdentifier.substring( 0, 8);  // short repos id

        self.log("    Getting the Repository Name for Id: " + strReposId);        

        //get a connection facotry
        def factory = new MdFactoryImpl();
        //get a connection
        factory.makeOMRConnection( host, port, user, password );
        IOMI omiConnection = factory.getConnection().getCMRHandle();

            def String strName=null;
            List repositories = factory.getOMIUtil().getRepositories();
            for( Iterator it = repositories.iterator(); it.hasNext(); )
            {
               CMetadata repos = (CMetadata) it.next();
                  self.log("    Looping found the Repository Name: " + repos.getName());        
                  if( strReposId.equals( repos.getId().substring(9) ) )               {
                  strName = repos.getName();
                  break;
               }
            }

        // Disconnect from the metadata server
        factory.dispose();

        self.log("    The following Repository Name matched the Id and will be utilized for the LogicalServer: " + strName);        
        project.setProperty(reposnameproperty, strName);

    }


    
    catch (Throwable t) {

        sw = new StringWriter();
        pw = new PrintWriter(sw);
        t.printStackTrace(pw);

        self.log(sw.toString());
        rc = 1;
    }

// Set the return code property


project.setNewProperty(rcPropName, "" + rc);
