// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config;

import java.util.List;
import java.util.regex.Pattern

class DirectoryResourceLoader extends ResourceLoader {
	File directory = null
	Pattern filenamePattern = null
	
	public DirectoryResourceLoader() {}
	
	public DirectoryResourceLoader(File dir) {
		directory = dir
	}
	
	public DirectoryResourceLoader(File dir, Pattern filenamePattern) {
		directory = dir
		this.filenamePattern = filenamePattern
	}	
	
	public void setDirectory(File dir) {
		directory = dir
	}
	
	public void setFilenamePattern(Pattern p) {
		filenamePattern = p
	}
	
	protected List<Resource> loadResourcesInternal() {
		List<Resource> resources = new ArrayList<Resource>()
		this.getFiles().each() { file ->
			Resource resource = new Resource(file)
			resources.add(resource)
		}		
		return resources
	}
	
	protected List<File> getFiles() {
		List<File> files = new ArrayList<File>()
		
		if(filenamePattern == null) {			
			directory.eachFile() { file ->
				if(! file.isDirectory() ) {
					println file
					files.add(file)
				}
			}
		}
		else {
			directory.eachFile() { file ->
				boolean  v = (file.name =~ filenamePattern)
				if(! file.isDirectory() &&
					 file.name =~ filenamePattern) {
					files.add(file)
				}
			}			
		}		
		return files
	}
}
