// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config;

abstract class ResourceLoader {
	private ResourceLoaderFilter filter
	
	public void setFilter(ResourceLoaderFilter f) {
		filter = f
	}
	
	public final List<Resource> loadResources() {
		if(filter != null) {			
			return filter.filterResources(loadResourcesInternal())
		}
		else {			
			return loadResourcesInternal()
		}
	}
			
	protected abstract List<Resource> loadResourcesInternal()
}
