// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.jboss

import java.util.jar.JarFile;
import java.util.jar.Manifest;
import com.sas.config.jboss.*

class JBossVersion {
   String version = "UNKNOWN"
   String fullVersion = "UNKNOWN"
   String fullTitle = "UNKNOWN"
   String jarFilePath
   JarFile jarFile
   String messagingDir = "messaging"  //Default is JBoss Messaging for now.
   
   JBossVersion(dir){
       jarFilePath = dir + '/bin/run.jar'
       File keyFile = new File(jarFilePath);
	   jarFilePath = keyFile.getPath();
       Logger.log("DEBUG","getJarVersion - path="+jarFilePath);
       if (keyFile.isFile()) {
          try {
             jarFile = new JarFile(keyFile);
             fullVersion = jarFile.getManifest().getMainAttributes().getValue("Implementation-Version").trim();
             version = fullVersion[0]
			 // Implementation-Title: JBoss [EAP]
			 fullTitle = jarFile.getManifest().getMainAttributes().getValue("Implementation-Title").trim();
          }
          catch (Exception e) {
              printf(e.getMessage());
          }
          Logger.log("DEBUG","getJarVersion - version="+version);
          Logger.log("DEBUG","getJarVersion - fullVersion="+fullVersion)
       }else{
              Logger.log("DEBUG","getJarVersion - jarFilePath="+version+" invalid");           
       }
	   calculateMessagingDir(dir+"/server/default/deploy")
   }
   
   boolean isEAP(){
	   if (fullTitle.contains("EAP"))
		   return true
	   return false
   }
   
   String getMessagingDir(){
	   return messagingDir
   }
   void calculateMessagingDir(String dir){
	   File jmsdir=null
	   
	   //test each possible messaging location...They can be different for a single version of JBoss
	   def possibledirs = ["jms","jboss-messaging.sar","messaging", "hornetq"]
	   possibledirs.each { 	
		   Logger.log("DEBUG","getJarVersion - testing for messagingDir="+it);
		   jmsdir = new File(dir, it)
		   if (jmsdir.exists()) {
			   Logger.log("DEBUG","getJarVersion - found messagingDir="+jmsdir.getPath());			   
			   messagingDir=it
     	   }
	   }
	   Logger.log("DEBUG","getJarVersion - returning messagingDir="+messagingDir);
	   
   }
}
