// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.jboss

public class Resource implements ResourceInterface {

	int configure(String instance, Properties scriptProperties){
		try {
			Logger.log('DEBUG', "Resource - Configure for ${instance}")
		 }
		 catch (Throwable e) {
			 Logger.log('DEBUG', "Failure : " + e.toString());
			 e.printStackTrace();
			 return 8;
		 }
		 return 0;
	}
	int changeHost(String instance, Properties scriptProperties){
		try {
			Logger.log('DEBUG', "Resource - ChangeHost for ${instance}")
		 }
		 catch (Throwable e) {
			 Logger.log('DEBUG', "Failure : " + e.toString());
			 e.printStackTrace();
			 return 8;
		 }
		 return 0;
	}
	
	int unconfigure(String instance, Properties scriptProperties){
		try {
			Logger.log('DEBUG', "Resource - unconfigure for ${instance}")
		 }
		 catch (Throwable e) {
			 Logger.log('DEBUG', "Failure : " + e.toString());
			 e.printStackTrace();
			 return 8;
		 }
		 return 0;
	}
	
	void createJmsServiceFile(File outFile)
	{
		def wrapperXML = '''
<server>
   
   <!--
   | sas-jms-service.xml
   | This file defines the SAS Connection Factories, Queues, and Topics.
   |
   | You can add other destinations to this file, or you can create other
   | *-service.xml files to contain your application's destinations.
   -->
   
</server>
'''
   def engine = new groovy.text.SimpleTemplateEngine()
   def template = engine.createTemplate(wrapperXML)
   def binding = [ filename : outFile.getCanonicalFile()]
   def wrapperXmlOut = template.make(binding)
   outFile.write(wrapperXmlOut.toString())
  }

}