// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.sdw.ant;

import org.apache.tools.ant.Task
import org.apache.tools.ant.Project

import com.sas.config.sdw.SDW
import com.sas.config.sdw.SDWHelper

public abstract class SDWTask extends Task {
	private Project project;
	private SDW sdw
	
	public final void setProject(Project p) { project = p }
	public final void setSdw(SDW sdw) { this.sdw = sdw }
	
	public final Project getProject() { return project }
	public final SDW getSdw() { return sdw }
	
	
	protected final SDW getSDWInstance() {
		if(sdw == null && project != null) {
			return new AntSDW(project)
		}
		else if( sdw != null) {
			return sdw
		}
		throw new RuntimeException("Unable to get SDW instance.")
	}
	
	// TODO: Implement error handling.
	public final void execute() {
		validate()
		// Delegate to subclass
		executeInternal()
	}
	
	// TODO: Improve validation failure messages.
	public final boolean validate() {
		if(! validateInternal() ) {
			SDWHelper sdwHelper = new SDWHelper(sdw)
			sdwHelper.setConfigStatusFile(null, getClass().getName(), "Validation Failed")
			sdwHelper.fail("A validation failure occurred in " + getClass().getName() + ".")
		}
	}

	abstract protected boolean validateInternal()
	abstract protected void executeInternal()
}