// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.util

import java.io.File;
import java.io.InputStream;
import com.sas.config.util.SortedProperties;


class PropertyUtils {
	public static final void setProperty(String name, String value, String file) {
		setProperty(name, value, new File(file))
	}
	
	public static final void setProperty(String name, String value, File file) {
		SortedProperties props = loadProperties(file)
		props.setProperty(name, value)
		writeProps(props, file)		
	}
	
	public static final String getProperty(String name, File file) {
		return loadProperties(file).get(name)
	}
	
	public static final Properties loadProperties(File file) {
		FileInputStream fis = new FileInputStream(file)
		SortedProperties p =  loadProperties(fis)
		fis.close()
		return p
	}
	
	public static final Properties loadProperties(InputStream is) {
		Properties p = new Properties()
		p.load(is)
		return p
	}	
	
	public static final void readProps(Properties props, File propFile)
	{
		FileInputStream fh = new FileInputStream(propFile);
		props.load(fh);
		fh.close();
	}

	public static final void writeProps(Properties props, File propFile)
	{
		FileOutputStream oh = new FileOutputStream(propFile);
		props.store(oh, null);
		oh.close();
	}
	
	

}
