// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.weblogic

import java.io.File
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import com.sas.config.VelocityTemplateEngine;
import com.sas.config.weblogic.WebLogicContextBuilder

public class BuildCommandScript extends GroovyScriptInvoker {
	File m_templateDirectory; 
	File m_templateFile;      // path of template for wlst.commands.txt
	File m_outputDirectory;   // location to place output script
	File m_outputFile;        // path of output script
	
	public static void main(String[] args) {
		BuildCommandScript bs = new BuildCommandScript(args[0], args[1]);
		bs.buildScript();
	}
	
	public BuildCommandScript(domainPropertiesFileName, resourcePropertiesFileName) {
		super(domainPropertiesFileName, resourcePropertiesFileName);
		m_templateDirectory = new File(m_globalProps.getProperty("templateDirectoryName"));
		println "m_templateDirectory=$m_templateDirectory";
		m_templateFile = new File("templateDirectoryName", "wlst.commands.txt");
		m_outputDirectory = m_resourceDirectory.getParentFile();
		m_outputFile = new File(m_outputDirectory, "wlst.commands.txt")
		println "m_outputDirectory=$m_outputDirectory";
	}
	
	public buildScript() {
		String encoding = 'UTF-8';

		VelocityTemplateEngine templateEngine = new VelocityTemplateEngine(m_templateDirectory,m_outputDirectory);
		WebLogicContextBuilder pcb = new WebLogicContextBuilder();
		pcb.loadResources(m_resourceDirectory);
		templateEngine.merge(pcb.build(m_templateFile), m_templateFile, encoding, m_outputFile)
		writeRC("RC_OK");
	}
	
}
