// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.weblogic

import java.io.File;

import com.sas.config.Resource;

class PropertyDocResource extends WebLogicResource implements Comparable {

	private String resourceType;
	
	public String getResourceType() {
		return resourceType();
	}
	
	public void setResourceType(String _resourceType) {
		resourceType = _resourceType;
	}
	
	public PropertyDocResource() {
		super();
	}

	public PropertyDocResource(File propertiesFile) {
		super(propertiesFile)
		setResourceType(getResourceName(propertiesFile))
	}

	public PropertyDocResource(Resource r) {
		super(r);
		println "Resource constructor called" + r
	}

	private getResourceName(File propertiesFile) {
		def fields = []
		String fileName = propertiesFile.getName()
		def pattern = /doc\.(\S+).properties/
		fields = (line =~ pattern)
		println "resourceName=" + fields[0][1]
		return fields[0][1]
	}
	
	public void loadProperties(File propertiesFile) {
		setResourceType(getResourceName(propertiesFile))
		super.loadProperties(propertiesFile)
	}	
	
	public Set sortedKeySet() {
		Set keys = keySet();
		TreeSet sortedKeys = new TreeSet() 
		// sortedKeys.addAll(keys.toArray())
		keys.each { item -> sortedKeys.add(item) }
		return sortedKeys;
	} 
		
	@Override
	public int compareTo(Object arg0) {
		PropertyDocResource that = (PropertyDocResource)arg0;
		String thatType = that.getProperty("rtype");
		String thisType = getProperty("rtype");
		if (thisType == "common") {
			return -1  // common properties always sort lower
		}
		return thisType.compareTo(thatType)
	}
}
