// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.weblogic

import java.io.File
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import com.sas.config.VelocityTemplateEngine;
import com.sas.config.weblogic.WebLogicContextBuilder

public class TargetUpdate extends GroovyScriptInvoker {
	
	public static void main(String[] args) {
		TargetUpdate t = new TargetUpdate(args[0], args[1]);
		t.update();
	}
	
	public TargetUpdate(domainPropertiesFileName, resourcePropertiesFileName) {
		super(domainPropertiesFileName, resourcePropertiesFileName);
		m_resourceProps = getResourceProperties();
	}
	
	public update() {
		String targets = m_resourceProps.getProperty("targets");
		String deletedTargets = m_resourceProps.getProperty("deletedTargets");
		String thisTarget = m_resourceProps.getProperty("thisTarget");
		String thisOperation = m_resourceProps.getProperty("thisOperation");
	  	println "Before: targets=$targets";
	  	println "Before: deletedTargets=$deletedTargets";
	  	

		if ( thisOperation == "add") {
			targets=add(targets, thisTarget);
			deletedTargets=remove(deletedTargets, thisTarget);
		}
		else if (thisOperation == "remove") {
			targets=remove(targets, thisTarget);
			deletedTargets=add(deletedTargets, thisTarget);
		}

		if (targets == null) targets = "";
		if (deletedTargets == null) deletedTargets = "";
		
	  	println "targets=$targets";
	  	println "deletedTargets=$deletedTargets";
	  	m_resourceProps.setProperty("targets", targets);
	  	m_resourceProps.setProperty("deletedTargets", deletedTargets);
	  	writeResourceProperties();
		writeRC("RC_OK");
	}
	
	public String add(String targets, String thisTarget) 
	{
	  	if(targets == null || targets == "") 
	  	{
	  		targets = thisTarget
	  	} else 
	  	{
		  	String[] targetArray = targets.split(",");
		  	Set hset = new TreeSet(Arrays.asList(targetArray));
		  	hset.add(thisTarget);
	  	    targets = "";
	  	    for (i in hset) {
		  	   	targets += i + ","
		  	}
	  	    // trim off last ,
	  	    targets = targets.substring(0, targets.length()-1);
		}
	  	return targets;
	}
	public String remove(String targets, String thisTarget) 
	{
	  	if(targets == null  || targets == "") 
	  	{
	  		return targets;
	  	} else 
	  	{
		  	String[] targetArray = targets.split(",");
		  	Set hset = new HashSet(Arrays.asList(targetArray));
		  	hset.remove(thisTarget);
	  	    targets = "";
	  	    for (i in hset) {
		  	   	targets += i + ","
		  	}
	  	    if (targets.length() > 0)
	  	    	targets = targets.substring(0, targets.length()-1);
		}
	  	return targets;
	}

}
