// Copyright (c) 2002-2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved

package com.sas.config.weblogic;

import java.util.List;

import com.sas.config.Resource;
import com.sas.config.ResourceLoader;
import com.sas.config.ResourceLoaderFilter;

import com.sas.config.weblogic.WebLogicResource

class WebLogicDeletedResourceLoaderFilter extends ResourceLoaderFilter {
	
	public WebLogicDeletedResourceLoaderFilter() {}
	
	@Override
	protected List<Resource> filterResourcesInternal(List<Resource> resources) {
		List<Resource> wlResources = new ArrayList<Resource>()

		int filtered = 0
		resources.each() { resource ->
			WebLogicResource wlResource = new WebLogicResource(resource)
			if(! wlResource.isDeleted()) {
				wlResources.add(wlResource)
			}
			else {
				filtered++
			}
		}
		
		println "$filtered Resources filtered."		
		return wlResources
	}
}
